/************************************************************************
  DISCLAIMER:
  This software was produced by the National Institute of Standards
  and Technology (NIST), an agency of the U.S. government, and by statute
  is not subject to copyright in the United States.  Recipients of this
  software assume all responsibility associated with its operation,
  modification, maintenance, and subsequent redistribution.

  See NIST Administration Manual 4.09.07 b and Appendix I.
************************************************************************/

#define ACTION_FLAG_VALUE_MUST_HAVE_KNOWN_MEANING 4
#define A_FILE_MUST_NOT_BE_ALREADY_OPEN 5
#define ALLOWANCE_BOTTOM_MUST_NOT_BE_NEGATIVE 6
#define ALLOWANCE_SIDE_MUST_NOT_BE_NEGATIVE 7
#define AXIAL_CUTTING_DEPTH_MUST_NOT_BE_NEGATIVE 8
#define AXIS_LENGTH_OF_PLACEMENT_MUST_NOT_BE_TINY 9
#define AXIS_OF_PLACEMENT_MUST_BE_PERPENDICULAR_TO_REF_DIRECTION 10
#define BOTTOM_DWELL_TIME_MUST_NOT_BE_NEGATIVE 11
#define BUG_IN_ENTERING_POCKET 12
#define CAN_HANDLE_ONLY_CLOSED_POCKET_FOR_FINISH_MILL_BOTTOM_AND_SIDE 13
#define CAN_HANDLE_ONLY_CLOSED_POCKET_FOR_ROUGH_MILL_BOTTOM_AND_SIDE 14
#define CAN_HANDLE_ONLY_CONNECT_AND_TRAJECTORYPATH_PATH_TYPES 15
#define CAN_HANDLE_ONLY_CONNECT_OR_TRAJECTORYPATH_TOOLPATH_TYPE 16
#define CAN_HANDLE_ONLY_CONTOUR_PARALLEL_MILLING_STRATEGY 17
#define CAN_HANDLE_ONLY_COURSE_OF_TRAVEL_PARALLEL_TO_FEATURE_Y_AXIS 18
#define CAN_HANDLE_ONLY_COURSE_OF_TRAVEL_PARALLEL_TO_POSITIVE_FEATURE_Y_AXIS 19
#define CAN_HANDLE_ONLY_FEEDSTOP_AND_CUTTER_LOCATION_TRAJECTORY 20
#define CAN_HANDLE_ONLY_LINE_AND_CIRCLE_AND_HELIX_IN_A_TRIMMED_CURVE 21
#define CAN_HANDLE_ONLY_PLUNGE_APPROACH 22
#define CAN_HANDLE_ONLY_PLUNGE_TOOLAXIS_APPROACH_FOR_PLANE_MILLING 23
#define CAN_HANDLE_ONLY_PLUNGE_TOOLAXIS_RETRACT 24
#define CAN_HANDLE_ONLY_PLUNGE_TOOLAXIS_RETRACT_FOR_PLANE_MILLING 25
#define CAN_HANDLE_ONLY_PLUS_MINUS_VALUE_TOLERANCE 26
#define CAN_HANDLE_ONLY_STRAIGHT_LINE_MOVE_AT_START_OF_RAPID 27
#define CAN_HANDLE_ONLY_TRAJECTORYPATH_PATH_TYPE_FOR_CIRCLE 28
#define CAN_HANDLE_ONLY_TRAJECTORYPATH_PATH_TYPE_FOR_HELIX 29
#define CAN_HANDLE_ONLY_UNIDIRECTIONAL_AND_BIDIRECTIONAL_PLANE_MILLING 30
#define CANNOT_EXECUTE_TOUCH_PROBING 31
#define CANNOT_FOLLOW_BOUNDED_CURVE_BACKWARD 32
#define CANNOT_HANDLE_ADAPTIVE_CONTROL 33
#define CANNOT_HANDLE_AXIS_CLAMPING 34
#define CANNOT_HANDLE_BACKBORING 35
#define CANNOT_HANDLE_BORING 36
#define CANNOT_HANDLE_BOSSES_IN_POCKET 37
#define CANNOT_HANDLE_BOSS_ON_PLANAR_FACE 38
#define CANNOT_HANDLE_COMPOUND_FEATURE 39
#define CANNOT_HANDLE_COOLANT_PRESSURE 40
#define CANNOT_HANDLE_FREEFORM_MACHINING_STRATEGY 41
#define CANNOT_HANDLE_INDEX_PALLET 42
#define CANNOT_HANDLE_INDEX_TABLE 43
#define CANNOT_HANDLE_NON_STRAIGHTLINE_CONNECTION_STRATEGY 44
#define CANNOT_HANDLE_OTHER_FUNCTIONS 45
#define CANNOT_HANDLE_OUTSIDE_IN_CUTTING 46
#define CANNOT_HANDLE_PLACEMENT_OF_COURSE_OF_TRAVEL 47
#define CANNOT_HANDLE_PLACEMENT_OF_REMOVAL_BOUNDARY 48
#define CANNOT_HANDLE_POCKET_WITH_FILLET_AT_BOTTOM 49
#define CANNOT_HANDLE_PROCESS_MODEL 50
#define CANNOT_HANDLE_PROFILE_PLACEMENT 51
#define CANNOT_HANDLE_PROGRAM_STRUCTURE 52
#define CANNOT_HANDLE_RAPID_MOVEMENT_WITHOUT_TOOLPATH 53
#define CANNOT_HANDLE_REPLICATE_FEATURE 54
#define CANNOT_HANDLE_SET_MARK 55
#define CANNOT_HANDLE_SIDE_FINISH_MILLING 56
#define CANNOT_HANDLE_SIDE_ROUGH_MILLING 57
#define CANNOT_HANDLE_SLOPED_POCKET 58
#define CANNOT_HANDLE_SPEED_IN_TOOLPATH 59
#define CANNOT_HANDLE_SPEED_PROFILE 60
#define CANNOT_HANDLE_STRATEGY_FOR_MULTISTEP_DRILLING 61
#define CANNOT_HANDLE_TAPPING 62
#define CANNOT_HANDLE_THIS_MANY_LINES_OF_CODE 63
#define CANNOT_HANDLE_THREAD_DRILLING 64
#define CANNOT_HANDLE_THROUGH_PRESSURE 65
#define CANNOT_HANDLE_THROUGH_SPINDLE_COOLANT 66
#define CANNOT_HANDLE_TOOLAXIS 67
#define CANNOT_HANDLE_TOOL_DIRECTION 68
#define CANNOT_HANDLE_TRANSITION_FEATURE 69
#define CANNOT_HANDLE_WAIT_FOR_MARK 70
#define CANNOT_HOLD_MILLING_TOLERANCE_TIGHTER_THAN_ONE_HUNDREDTH_MM 71
#define CANNOT_MACHINE_A_REGION 72
#define CANNOT_PERFORM_OPERATION_ON_FEATURE 73
#define CENTER_DRILLING_CUTTING_DEPTH_MUST_NOT_BE_GREATER_THAN_DEPTH 74
#define CENTER_DRILLING_DEPTH_MUST_NOT_EXCEED_CENTER_DRILL_FLUTE_LENGTH 75
#define CENTER_DRILLING_MUST_HAVE_CUTTING_DEPTH 76
#define CENTER_DRILLING_MUST_NOT_HAVE_OVERCUT_LENGTH 77
#define CENTER_DRILLING_MUST_NOT_HAVE_STRATEGY 78
#define CIRCLE_Z_AXIS_MUST_BE_PARALLEL_TO_MACHINE_Z_AXIS 79
#define COMMAND_CODE_TYPE_MUST_BE_MOTION_SPEED_OR_FEED 80
#define COMPOSITE_CURVE_MUST_BE_CONTINUOUS 81
#define COMPOSITE_CURVE_SEGMENT_MUST_BE_A_BOUNDED_CURVE 82
#define COOLANT_MUST_BE_TRUE_OR_FALSE 83
#define COUNTERBORE_DEPTH_MUST_EQUAL_CUTTING_DEPTH 84
#define COUNTERBORE_HOLE_ELEMENTS_MUST_NOT_BE_NULL 85
#define COUNTERBORE_HOLE_MUST_HAVE_EXACTLY_TWO_ELEMENTS 86
#define COUNTERBORE_HOLE_SUBHOLES_MUST_NOT_BE_IN_SAME_PLACE 87
#define COUNTERBORING_MUST_NOT_HAVE_OVERCUT_LENGTH 88
#define COUNTERBORING_MUST_NOT_HAVE_STRATEGY 89
#define COUNTERSINK_CUTTING_PORTION_MUST_REACH_HOLE_BOTTOM 90
#define COUNTERSINK_DEPTH_MUST_MATCH_HOLE_DEPTH 91
#define COUNTERSINKING_MUST_NOT_HAVE_OVERCUT_LENGTH 92
#define COUNTERSINKING_MUST_NOT_HAVE_STRATEGY 93
#define COUNTERSUNK_HOLE_ELEMENTS_MUST_NOT_BE_NULL 94
#define COUNTERSUNK_HOLE_MUST_HAVE_EXACTLY_TWO_ELEMENTS 95
#define COUNTERSUNK_HOLE_SUBHOLES_MUST_NOT_BE_IN_SAME_PLACE 96
#define COURSE_OF_TRAVEL_DIRECTION_MUST_NOT_BE_NULL 97
#define COURSE_OF_TRAVEL_DISTANCE_MUST_NOT_BE_NULL 98
#define CUTTING_DEPTH_MUST_BE_POSITIVE 99
#define CUTTING_EDGE_LENGTH_MUST_BE_GIVEN 100
#define CUTTING_EDGE_LENGTH_MUST_BE_POSITIVE 101
#define DEFAULT_PLACEMENT_AXIS_MUST_BE_ZERO_ZERO_ONE 102
#define DEFAULT_PLACEMENT_ORIGIN_MUST_BE_AT_ZERO_ZERO_ZERO 103
#define DEFAULT_PLACEMENT_REF_DIRECTION_MUST_BE_ONE_ZERO_ZERO 104
#define DIMENSION_MUST_NOT_BE_NULL 105
#define DIRECTION_MUST_NOT_BE_NULL 106
#define DIRECTION_RATIO_MUST_BE_GIVEN 107
#define DIRECTION_RATIOS_MUST_NOT_ALL_BE_ZERO 108
#define DIRECTION_RATIOS_MUST_NOT_BE_NULL 109
#define DISABLE_MUST_BE_TRUE_OR_FALSE 110
#define DWELL_TIME_MUST_NOT_BE_NEGATIVE 111
#define EDGE_RADIUS_MUST_BE_GIVEN 112
#define EDGE_RADIUS_MUST_BE_ZERO_OR_NOT_GIVEN 113
#define EDGE_RADIUS_MUST_NOT_BE_NEGATIVE 114
#define END_DEPTH_MUST_BE_GREATER_THAN_START_DEPTH 115
#define END_DEPTH_MUST_BE_LESS_THAN_CUTTING_DEPTH 116
#define ENDMILL_DIAMETER_MUST_EQUAL_HOLE_DIAMETER 117
#define EXECUTABLE_MUST_NOT_BE_NULL 118
#define EXECUTABLE_TYPE_MUST_BE_DEFINED_TYPE 119
#define EXTERNAL_QUEUE_MUST_BE_EMPTY 120
#define FEATURE_FOR_PLANE_MILLING_MUST_BE_PLANAR_FACE 121
#define FEATURE_MUST_NOT_BE_NULL 122
#define FEATURE_Z_AXIS_MUST_BE_PARALLEL_TO_MACHINE_Z_AXIS 123
#define FEED_DIRECTION_MUST_PARALLEL_X_OR_Y_AXIS_OF_PLANAR_FACE 124
#define FEED_ON_RETRACT_MUST_NOT_BE_NEGATIVE_OR_TINY 125
#define FEEDRATE_MUST_BE_GIVEN_FOR_RAPID 126
#define FILE_MUST_HAVE_EXACTLY_ONE_PROJECT 127
#define FILE_MUST_HAVE_EXACTLY_ONE_SETUP 128
#define FILE_MUST_HAVE_EXACTLY_ONE_WORKPIECE 129
#define FILE_MUST_HAVE_EXACTLY_ONE_WORKPIECE_SETUP 130
#define FILE_NAME_MUST_NOT_BE_TOO_LONG 131
#define FINISH_MILLING_BOTH_CAN_HANDLE_ONLY_PLUNGE_STRATEGY 132
#define FINISH_MILLING_BOTH_MUST_NOT_HAVE_OVERCUT_LENGTH 133
#define FIRST_ELEMENT_OF_COUNTERBORE_HOLE_MUST_BE_A_ROUND_HOLE 134
#define FIRST_ELEMENT_OF_COUNTERBORE_HOLE_MUST_NOT_BE_NULL 135
#define FIRST_ELEMENT_OF_COUNTERSUNK_HOLE_MUST_BE_A_ROUND_HOLE 136
#define FIRST_ELEMENT_OF_COUNTERSUNK_HOLE_MUST_NOT_BE_NULL 137
#define FIRST_SUBHOLE_OF_COUNTERBORE_HOLE_MUST_BE_VERTICAL 138
#define FIRST_SUBHOLE_OF_COUNTERSUNK_HOLE_MUST_BE_VERTICAL 139
#define FREEFORM_MILLING_CAN_HANDLE_ONLY_PLUNGE_STRATEGY 140
#define FREEFORM_MILLING_MUST_HAVE_A_TOOLPATH 141
#define HELIX_MUST_FIT_IN_POCKET 142
#define HELIX_PITCH_MUST_NOT_BE_ZERO 143
#define HELIX_Z_AXIS_MUST_BE_PARALLEL_TO_MACHINE_Z_AXIS 144
#define HOLE_DIAMETER_MUST_NOT_EXCEED_COUNTERSINK_DIAMETER 145
#define HOLE_MUST_NOT_BE_DEEPER_THAN_ENDMILL_IS_LONG 146
#define HOLE_MUST_NOT_BE_DEEPER_THAN_FLUTE_LENGTH 147
#define INPUT_FILE_MUST_BE_READABLE 148
#define LAST_COMMAND_CODE_TYPE_MUST_BE_FEED_OR_TRAVERSE 149
#define LENGTH_OF_PLANAR_FACE_MUST_BE_POSITIVE 150
#define LENGTH_UNITS_MUST_BE_MILLIMETERS 151
#define MACHINE_FUNCTIONS_MUST_BE_MILLING_MACHINE_FUNCTIONS 152
#define MACHINING_OPERATION_TYPE_MUST_BE_DEFINED_TYPE 153
#define MACHINING_TOOL_MUST_BE_A_CUTTING_TOOL 154
#define MAIN_WORKPLAN_MUST_NOT_BE_NULL 155
#define MANUFACTURING_FEATURE_TYPE_MUST_BE_DEFINED_TYPE 156
#define MUST_HAVE_FEEDRATE_OR_FEEDRATE_PER_TOOTH 157
#define MUST_HAVE_SPINDLE_SPEED_OR_SURFACE_SPEED 158
#define MUST_NOT_CUT_WITH_LEFT_HAND_TOOL_TURNING_CLOCKWISE 159
#define MUST_NOT_CUT_WITH_RIGHT_HAND_TOOL_TURNING_COUNTERCLOCKWISE 160
#define MUST_NOT_HAVE_BOTH_CUTTING_DEPTH_AND_OVERCUT 161
#define MUST_NOT_HAVE_BOTH_FEEDRATE_AND_FEEDRATE_PER_TOOTH 162
#define MUST_NOT_HAVE_BOTH_SPINDLE_SPEED_AND_SURFACE_SPEED 163
#define MUST_NOT_USE_CUTSPEED_IN_RAPID 164
#define MUST_NOT_USE_FEEDRATE_PER_TOOTH_IN_RAPID 165
#define MUST_USE_PLUNGE_TOOLAXIS_TO_APPROACH_WHEN_POCKET_SAME_SIZE_AS_TOOL 166
#define MUST_USE_PLUNGE_TOOLAXIS_TO_RETRACT_WHEN_POCKET_SAME_SIZE_AS_TOOL 167
#define NUMBER_OF_DIRECTION_RATIOS_MUST_BE_THREE 168
#define NUMBER_OF_TEETH_MUST_BE_GIVEN 169
#define NUMBER_OF_TEETH_MUST_BE_POSITIVE 170
#define OPERATION_MUST_BELONG_TO_FEATURE 171
#define OPERATION_MUST_NOT_BE_NULL 172
#define OTHER_FUNCTIONS_MUST_NOT_BE_NULL 173
#define OVERCUT_FOR_BIDIRECTIONAL_MUST_BE_AT_LEAST_HALF_A_TOOL_DIAMETER 174
#define OVERCUT_FOR_UNIDIRECTIONAL_MUST_BE_AT_LEAST_1POINT2_TOOL_DIAMETERS 175
#define OVERCUT_MUST_BE_POSITIVE 176
#define OVERLAP_MUST_BE_BETWEEN_ZERO_AND_ONE 177
#define PECK_AMOUNT_MUST_BE_POSITIVE 178
#define PLACEMENT_AXIS_COORDINATE_VALUES_MUST_ALL_BE_GIVEN 179
#define PLACEMENT_AXIS_MUST_NOT_BE_NULL 180
#define PLACEMENT_LOCATION_MUST_NOT_BE_NULL 181
#define PLACEMENT_MUST_NOT_BE_NULL 182
#define PLACEMENT_ORIGIN_COORDINATE_VALUES_MUST_ALL_BE_GIVEN 183
#define PLACEMENT_ORIGIN_MUST_HAVE_THREE_COORDS 184
#define PLACEMENT_REF_DIRECTION_COORDINATE_VALUES_MUST_ALL_BE_GIVEN 185
#define PLACEMENT_REF_DIRECTION_MUST_NOT_BE_NULL 186
#define PLANAR_FACE_COURSE_OF_TRAVEL_MUST_NOT_BE_NULL 187
#define PLANAR_FACE_ITS_BOSS_MUST_NOT_BE_NULL 188
#define PLANAR_FACE_REMOVAL_BOUNDARY_MUST_NOT_BE_NULL 189
#define PLANE_DEPTH_MUST_BE_BELOW_PLANE_TOP 190
#define PLANE_MUST_BE_HORIZONTAL 191
#define PLUNGE_STRATEGY_TYPE_MUST_BE_DEFINED_TYPE 192
#define POCKET_BOSS_SET_MUST_NOT_BE_NULL 193
#define POCKET_BOUNDARY_MUST_NOT_BE_NULL 194
#define POCKET_CORNER_RADIUS_MUST_BE_POSITIVE 195
#define POCKET_CORNER_RADIUS_MUST_NOT_BE_NULL 196
#define POCKET_CORNER_RADIUS_MUST_NOT_EXCEED_HALF_POCKET_WIDTH 197
#define POCKET_DEPTH_MUST_BE_BELOW_POCKET_TOP 198
#define POCKET_DEPTH_MUST_BE_POSITIVE 199
#define POCKET_LENGTH_MUST_BE_POSITIVE 200
#define POCKET_LENGTH_TOLERANCE_MUST_NOT_BE_NULL 201
#define POCKET_MUST_HAVE_RECTANGULAR_CLOSED_PROFILE 202
#define POCKET_MUST_NOT_BE_NARROWER_THAN_TOOL 203
#define POCKET_PROFILE_LENGTH_MUST_NOT_BE_NULL 204
#define POCKET_PROFILE_WIDTH_MUST_NOT_BE_NULL 205
#define POCKET_WIDTH_MUST_BE_POSITIVE 206
#define POCKET_WIDTH_MUST_EXCEED_TOOL_DIAMETER_FOR_PLUNGE_HELIX 207
#define POCKET_WIDTH_MUST_NOT_EXCEED_LENGTH 208
#define POCKET_WIDTH_TOLERANCE_MUST_NOT_BE_NULL 209
#define POLYLINE_MUST_HAVE_AT_LEAST_TWO_POINTS 210
#define PREVIOUS_DIAMETER_MUST_NOT_DIFFER_FROM_LOWER_HOLE_DIAMETER 211
#define PROJECT_MAIN_WORKPLAN_SETUP_MUST_BE_FILE_SETUP 212
#define PROJECT_MUST_HAVE_EXACTLY_ONE_WORKPIECE 213
#define PROJECT_WORKPIECE_MUST_BE_FILE_WORKPIECE 214
#define RADIAL_CUTTING_DEPTH_MUST_NOT_BE_NEGATIVE 215
#define RAMP_MUST_FIT_IN_POCKET 216
#define RAPID_MUST_START_AT_CURRENT_LOCATION 217
#define REAMING_MUST_NOT_HAVE_DEPTH_OF_TESTCUT 218
#define REAMING_MUST_NOT_HAVE_WAITING_POSITION 219
#define REF_DIRECTION_LENGTH_OF_PLACEMENT_MUST_NOT_BE_TINY 220
#define REMOVAL_BOUNDARY_PROFILE_LENGTH_MUST_NOT_BE_NULL 221
#define REQUIRED_TOOL_MUST_BE_IN_TOOL_TABLE 222
#define RETRACT_MUST_NOT_GO_ABOVE_SECURITY_PLANE 223
#define RETRACT_PLANE_MUST_NOT_BE_NEGATIVE 224
#define ROUGH_MILLING_BOTH_CAN_HANDLE_ONLY_PLUNGE_STRATEGY 225
#define ROUGH_MILLING_BOTH_MUST_NOT_HAVE_OVERCUT_LENGTH 226
#define SECOND_ELEMENT_OF_COUNTERBORE_HOLE_MUST_BE_A_ROUND_HOLE 227
#define SECOND_ELEMENT_OF_COUNTERBORE_HOLE_MUST_NOT_BE_NULL 228
#define SECOND_ELEMENT_OF_COUNTERSUNK_HOLE_MUST_BE_A_ROUND_HOLE 229
#define SECOND_ELEMENT_OF_COUNTERSUNK_HOLE_MUST_NOT_BE_NULL 230
#define SECOND_SUBHOLE_OF_COUNTERBORE_HOLE_MUST_BE_VERTICAL 231
#define SECOND_SUBHOLE_OF_COUNTERSUNK_HOLE_MUST_BE_VERTICAL 232
#define SECPLANE_MUST_BE_A_PLANE 233
#define SETUP_WORKPIECE_SETUP_MUST_BE_FILE_WORKPIECE_SETUP 234
#define SPINDLE_SPEED_MUST_BE_GIVEN_IN_TECHNOLOGY_FOR_RAPID 235
#define SPINDLE_STOP_AT_BOTTOM_MUST_BE_TRUE_OR_FALSE 236
#define START_DEPTH_MUST_BE_LESS_THAN_CUTTING_DEPTH 237
#define STEP_DWELL_TIME_MUST_NOT_BE_NEGATIVE 238
#define SUBHOLES_OF_COUNTERBORE_HOLE_MUST_BE_COAXIAL 239
#define SUBHOLES_OF_COUNTERSUNK_HOLE_MUST_BE_COAXIAL 240
#define SURFACE_MUST_BE_A_PLANE 241
#define SURFACE_MUST_NOT_BE_NULL 242
#define SYNCH_MUST_BE_TRUE_OR_FALSE 243
#define TECHNOLOGY_MUST_BE_MILLING_TECHNOLOGY 244
#define THE_SETUP_MUST_HAVE_EXACTLY_ONE_WORKPIECE_SETUP 245
#define THE_TOOL_MUST_BE_NULL_IN_UNLOAD_TOOL 246
#define TOLERANCE_LIMITS_MUST_NOT_BE_NEGATIVE 247
#define TOOL_BODY_FOR_MACHINING_MUST_BE_A_MILLING_TOOL_BODY 248
#define TOOL_BODY_MUST_BE_A_CENTER_DRILL 249
#define TOOL_BODY_MUST_BE_A_COUNTERSINK 250
#define TOOL_BODY_MUST_BE_AN_ENDMILL 251
#define TOOL_BODY_MUST_BE_AN_ENDMILL_OR_A_FACEMILL 252
#define TOOL_BODY_MUST_BE_A_REAMER 253
#define TOOL_BODY_MUST_BE_A_TWIST_DRILL 254
#define TOOL_BODY_MUST_NOT_BE_NULL 255
#define TOOL_CIRCUMFERENCE_ANGLE_MUST_BE_GIVEN 256
#define TOOL_CIRCUMFERENCE_ANGLE_MUST_BE_LESS_THAN_NINETY_DEGREES 257
#define TOOL_CIRCUMFERENCE_ANGLE_MUST_BE_ZERO_OR_NOT_GIVEN 258
#define TOOL_CIRCUMFERENCE_ANGLE_MUST_NOT_BE_NEGATIVE 259
#define TOOL_DIAMETER_MUST_BE_POSITIVE 260
#define TOOL_DIAMETER_MUST_NOT_BE_ZERO 261
#define TOOL_DIAMETERS_MUST_BE_SAME_FOR_SAME_TOOL 262
#define TOOL_FOR_MACHINING_MUST_BE_A_CUTTING_TOOL 263
#define TOOL_FOR_MACHINING_MUST_HAVE_EXACTLY_ONE_COMPONENT 264
#define TOOL_FOR_PLANE_MILLING_MUST_BE_ENDMILL_OR_FACEMILL 265
#define TOOL_HANDEDNESS_MUST_BE_GIVEN 266
#define TOOL_MAX_MUST_NOT_EXCEED_CANON_TOOL_MAX 267
#define TOOL_MUST_BE_ABLE_TO_RETRACT_TO_SETUP_SECURITY_PLANE 268
#define TOOL_MUST_BE_A_CUTTING_TOOL 269
#define TOOL_MUST_BE_IN_TOOLCHANGER 270
#define TOOL_MUST_FIT_IN_CORNERS_OF_POCKET 271
#define TOOL_MUST_NOT_BE_NULL 272
#define TOOL_MUST_NOT_BE_TOO_LONG_TO_RETRACT_TO_SETUP_SECURITY_PLANE 273
#define TOOL_ORIENTATION_MUST_BE_NULL 274
#define TOOLPATH_LIST_MUST_NOT_BE_EMPTY 275
#define TOOLPATH_LIST_MUST_NOT_BE_NULL 276
#define TOOL_TAPER_MUST_EQUAL_HOLE_TAPER 277
#define TOOL_TOP_ANGLE_MUST_BE_GIVEN 278
#define TOOL_TOP_ANGLE_MUST_BE_LESS_THAN_NINETY_DEGREES 279
#define TOOL_TOP_ANGLE_MUST_BE_ZERO_OR_NOT_GIVEN 280
#define TOOL_TOP_ANGLE_MUST_NOT_BE_NEGATIVE 281
#define TRAJECTORY_MUST_NOT_HAVE_GAP 282
#define TRIM_ELEMENT_MUST_BE_A_CARTESIAN_POINT 283
#define TRIM_LIST_MUST_HAVE_ONE_ELEMENT 284
#define UPPER_AND_LOWER_HOLES_OF_COUNTERBORE_HOLE_MUST_MATE_VERTICALLY 285
#define UPPER_AND_LOWER_HOLES_OF_COUNTERSUNK_HOLE_MUST_MATE_IN_DIAMETER 286
#define UPPER_AND_LOWER_HOLES_OF_COUNTERSUNK_HOLE_MUST_MATE_VERTICALLY 287
#define UPPER_HOLE_DIAMETER_OF_COUNTERBORE_HOLE_MUST_BE_GREATER_THAN_LOWER 288
#define UPPER_HOLE_DIAMETER_OF_COUNTERSUNK_HOLE_MUST_BE_GREATER_THAN_LOWER 289
#define UPPER_HOLE_OF_COUNTERBORE_HOLE_MUST_NOT_TAPER 290
#define UPPER_HOLE_OF_COUNTERSUNK_HOLE_MUST_TAPER 291
#define UPPER_HOLE_TAPER_MUST_BE_DIAMETER_TAPER_OR_ANGLE_TAPER 292
#define WIDTH_OF_PLANAR_FACE_MUST_BE_POSITIVE 293
#define WORKINGSTEP_TYPE_MUST_BE_DEFINED_TYPE 294
#define WORKPIECE_SETUP_WORKPIECE_MUST_BE_FILE_WORKPIECE 295
#define Z_AXIS_MUST_BE_VERTICAL 296
#define ZIGZAG_MUST_FIT_IN_POCKET 297
#define ISO14649_MAX_ERROR 297
